package com.brilliance.isc.common.taskdistributor.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum BizGroup {
    IM("IM","进口组"),
    EX("EX","出口组"),
    CP("CP","汇款组");

    private final String value;
    private final String name;

    public static String getValueName(String code) {
        for (BizGroup value : BizGroup.values()) {
            if (value.value.equals(code)) {
                return value.name;
            }
        }
        return null;
    }
}
